<div class="front_page_section front_page_section_about<?php
	$learnify_scheme = learnify_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $learnify_scheme ) && ! learnify_is_inherit( $learnify_scheme ) ) {
		echo ' scheme_' . esc_attr( $learnify_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( learnify_get_theme_option( 'front_page_about_paddings' ) );
	if ( learnify_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$learnify_css      = '';
		$learnify_bg_image = learnify_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $learnify_bg_image ) ) {
			$learnify_css .= 'background-image: url(' . esc_url( learnify_get_attachment_url( $learnify_bg_image ) ) . ');';
		}
		if ( ! empty( $learnify_css ) ) {
			echo ' style="' . esc_attr( $learnify_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$learnify_anchor_icon = learnify_get_theme_option( 'front_page_about_anchor_icon' );
	$learnify_anchor_text = learnify_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $learnify_anchor_icon ) || ! empty( $learnify_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $learnify_anchor_icon ) ? ' icon="' . esc_attr( $learnify_anchor_icon ) . '"' : '' )
									. ( ! empty( $learnify_anchor_text ) ? ' title="' . esc_attr( $learnify_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( learnify_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' learnify-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$learnify_css           = '';
			$learnify_bg_mask       = learnify_get_theme_option( 'front_page_about_bg_mask' );
			$learnify_bg_color_type = learnify_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $learnify_bg_color_type ) {
				$learnify_bg_color = learnify_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $learnify_bg_color_type ) {
				$learnify_bg_color = learnify_get_scheme_color( 'bg_color', $learnify_scheme );
			} else {
				$learnify_bg_color = '';
			}
			if ( ! empty( $learnify_bg_color ) && $learnify_bg_mask > 0 ) {
				$learnify_css .= 'background-color: ' . esc_attr(
					1 == $learnify_bg_mask ? $learnify_bg_color : learnify_hex2rgba( $learnify_bg_color, $learnify_bg_mask )
				) . ';';
			}
			if ( ! empty( $learnify_css ) ) {
				echo ' style="' . esc_attr( $learnify_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$learnify_caption = learnify_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $learnify_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $learnify_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $learnify_caption, 'learnify_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$learnify_description = learnify_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $learnify_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $learnify_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $learnify_description ), 'learnify_kses_content' ); ?></div>
				<?php
			}

			// Content
			$learnify_content = learnify_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $learnify_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $learnify_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$learnify_page_content_mask = '%%CONTENT%%';
					if ( strpos( $learnify_content, $learnify_page_content_mask ) !== false ) {
						$learnify_content = preg_replace(
							'/(\<p\>\s*)?' . $learnify_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$learnify_content
						);
					}
					learnify_show_layout( $learnify_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
