<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package LEARNIFY
 * @since LEARNIFY 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$learnify_copyright_scheme = learnify_get_theme_option( 'copyright_scheme' );
if ( ! empty( $learnify_copyright_scheme ) && ! learnify_is_inherit( $learnify_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $learnify_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$learnify_copyright = learnify_get_theme_option( 'copyright' );
			if ( ! empty( $learnify_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$learnify_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $learnify_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$learnify_copyright = learnify_prepare_macros( $learnify_copyright );
				// Display copyright
				echo wp_kses( nl2br( $learnify_copyright ), 'learnify_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
